Bug 79320 - SpellCheckRequest needs to know the context where the spellcheck happened
: SpellCheckRequest needs to know the context where the spellcheck happened
Status: RESOLVED FIXED
: WebKit
HTML Editing
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-02-22 20:19 PST by
Modified: 2012-02-24 04:32 PST (History)


Attachments
WIP (10.56 KB, patch)
2012-02-22 20:59 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff
WIP (23.59 KB, patch)
2012-02-22 21:20 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff
WIP (25.71 KB, patch)
2012-02-22 21:21 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff
WIP (30.41 KB, patch)
2012-02-22 22:03 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff
Patch (36.09 KB, patch)
2012-02-22 22:18 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff
Patch (30.52 KB, patch)
2012-02-22 23:40 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff
Patch (30.55 KB, patch)
2012-02-23 00:00 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff
Patch (30.56 KB, patch)
2012-02-23 00:08 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff
Patch (30.65 KB, patch)
2012-02-23 00:18 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff
Patch (30.66 KB, patch)
2012-02-23 01:22 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff
Patch (33.65 KB, patch)
2012-02-23 18:26 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff
Patch (33.66 KB, patch)
2012-02-23 21:00 PST, Shinya Kawanaka
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-02-22 20:19:10 PST
To save IPC requests, SpellCheckRequest can have a field which tells the client
where the spellchecking is happening.
For example, if a series of spellcheckings is triggered by key typing, 
the client can refer such hit to reuse the recent result.
------- Comment #1 From 2012-02-22 20:59:40 PST -------
Created an attachment (id=128383) [details]
WIP
------- Comment #2 From 2012-02-22 21:04:00 PST -------
(From update of attachment 128383 [details])
Attachment 128383 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/11600107
------- Comment #3 From 2012-02-22 21:10:18 PST -------
(From update of attachment 128383 [details])
Attachment 128383 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11603093
------- Comment #4 From 2012-02-22 21:18:23 PST -------
(From update of attachment 128383 [details])
Attachment 128383 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11602095
------- Comment #5 From 2012-02-22 21:20:10 PST -------
Created an attachment (id=128387) [details]
WIP
------- Comment #6 From 2012-02-22 21:21:53 PST -------
Created an attachment (id=128388) [details]
WIP
------- Comment #7 From 2012-02-22 22:03:54 PST -------
Created an attachment (id=128391) [details]
WIP
------- Comment #8 From 2012-02-22 22:18:56 PST -------
Created an attachment (id=128396) [details]
Patch
------- Comment #9 From 2012-02-22 23:10:50 PST -------
(From update of attachment 128396 [details])
Attachment 128396 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/11610106
------- Comment #10 From 2012-02-22 23:40:09 PST -------
Created an attachment (id=128410) [details]
Patch
------- Comment #11 From 2012-02-22 23:44:41 PST -------
(From update of attachment 128410 [details])
Attachment 128410 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/11610126
------- Comment #12 From 2012-02-23 00:00:43 PST -------
Created an attachment (id=128415) [details]
Patch
------- Comment #13 From 2012-02-23 00:05:09 PST -------
(From update of attachment 128415 [details])
Attachment 128415 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/11602131
------- Comment #14 From 2012-02-23 00:08:33 PST -------
Created an attachment (id=128417) [details]
Patch
------- Comment #15 From 2012-02-23 00:18:34 PST -------
Created an attachment (id=128418) [details]
Patch
------- Comment #16 From 2012-02-23 00:22:29 PST -------
(From update of attachment 128418 [details])
Let me see the green bots.
------- Comment #17 From 2012-02-23 01:03:51 PST -------
(From update of attachment 128418 [details])
Attachment 128418 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11600191

New failing tests:
editing/spelling/spellcheck-async.html
editing/spelling/spellcheck-async-mutation.html
editing/spelling/spelling-marker-description.html
editing/spelling/grammar-paste.html
editing/spelling/spellcheck-paste.html
editing/spelling/spellcheck-sequencenum.html
editing/spelling/spellcheck-queue.html
------- Comment #18 From 2012-02-23 01:22:36 PST -------
Created an attachment (id=128430) [details]
Patch
------- Comment #19 From 2012-02-23 01:24:04 PST -------
(In reply to comment #17)
> (From update of attachment 128418 [details] [details])
> Attachment 128418 [details] [details] did not pass chromium-ews (chromium-xvfb):
> Output: http://queues.webkit.org/results/11600191
> 
> New failing tests:
> editing/spelling/spellcheck-async.html
> editing/spelling/spellcheck-async-mutation.html
> editing/spelling/spelling-marker-description.html
> editing/spelling/grammar-paste.html
> editing/spelling/spellcheck-paste.html
> editing/spelling/spellcheck-sequencenum.html
> editing/spelling/spellcheck-queue.html

Ah, I've touched PassRefPtr which became null... Boo
------- Comment #20 From 2012-02-23 07:47:08 PST -------
(From update of attachment 128430 [details])
Attachment 128430 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/11600311
------- Comment #21 From 2012-02-23 18:26:24 PST -------
Created an attachment (id=128629) [details]
Patch
------- Comment #22 From 2012-02-23 20:12:51 PST -------
mac bot seems drunk...
------- Comment #23 From 2012-02-23 21:00:04 PST -------
Created an attachment (id=128643) [details]
Patch
------- Comment #24 From 2012-02-24 04:32:09 PST -------
(From update of attachment 128643 [details])
Clearing flags on attachment: 128643

Committed r108772: <http://trac.webkit.org/changeset/108772>
------- Comment #25 From 2012-02-24 04:32:16 PST -------
All reviewed patches have been landed.  Closing bug.